summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/trash/README5
-rw-r--r--system/trash/slack-desc19
-rw-r--r--system/trash/trash.SlackBuild60
-rw-r--r--system/trash/trash.info10
4 files changed, 94 insertions, 0 deletions
diff --git a/system/trash/README b/system/trash/README
new file mode 100644
index 0000000000..4b47dafa60
--- /dev/null
+++ b/system/trash/README
@@ -0,0 +1,5 @@
+trash (CLI trash utility)
+
+Trash is a utility that runs via cli, now you do not need to pass the
+full path or click on your 'trash' in the interface. just run $ trash
+and it will clean your trash for complete.
diff --git a/system/trash/slack-desc b/system/trash/slack-desc
new file mode 100644
index 0000000000..356d7f6c29
--- /dev/null
+++ b/system/trash/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+trash: trash (CLI trash utility)
+trash:
+trash: Trash is a utility that runs via cli, now you do not need to pass
+trash: the full path or click on your 'trash' in the interface.
+trash: just run $ trash and it will clean your trash for complete.
+trash:
+trash:
+trash: https://notabug.org/jeffersonrocha/trash
+trash:
+trash:
+trash:
diff --git a/system/trash/trash.SlackBuild b/system/trash/trash.SlackBuild
new file mode 100644
index 0000000000..45bcd954a5
--- /dev/null
+++ b/system/trash/trash.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for trash
+# Copyright 2018 Jefferson Rocha <lrcjefferson@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=trash
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cp "$PRGNAM" $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/trash/trash.info b/system/trash/trash.info
new file mode 100644
index 0000000000..57d3fc4ecf
--- /dev/null
+++ b/system/trash/trash.info
@@ -0,0 +1,10 @@
+PRGNAM="trash"
+VERSION="1.2"
+HOMEPAGE="https://notabug.org/jeffersonrocha/trash"
+DOWNLOAD="https://notabug.org/jeffersonrocha/trash/raw/master/trash-1.2.tar.xz"
+MD5SUM="e4cb04efbffe0d4fcbe43c8e03d71f88"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jefferson Rocha"
+EMAIL="lrcjefferson@gmail.com"